<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'CaseStudyQuote',
  props: {
    data: {
      type: Object,
      required: true,
    },
    logo: {
      type: Boolean,
      required: false,
      default: false,
    },
  },
});
</script>

<template>
  <div>
    <a :href="data.url ? data.url : null" class="case-study-quote__link">
      <SlpRow :class="`case-study-quote ${logo ? 'logo' : ''}`">
        <SlpColumn
          v-if="data.main_img"
          :cols="3"
          class="case-study-quote__main-img"
        >
          <nuxt-img
            v-if="!logo"
            :src="data.main_img.url"
            :alt="data.main_img.alt"
            width="300"
            height="300"
            loading="lazy"
          />
          <nuxt-img
            v-else
            width="250"
            height="80"
            :src="data.main_img.url"
            :alt="data.main_img.alt"
            loading="lazy"
          />
        </SlpColumn>
        <SlpColumn :cols="data.main_img ? 8 : 12">
          <div class="case-study-quote__title-img">
            <nuxt-img
              v-if="data.title_img"
              :src="data.title_img.url"
              :alt="data.title_img.alt"
              loading="lazy"
            />
          </div>
          <SlpTypography
            class="case-study-quote__body"
            tag="p"
            variant="quotes"
          >
            {{ data.quote }}</SlpTypography
          >
          <SlpTypography
            class="case-study-quote__author"
            tag="p"
            variant="body3-bold"
            >- {{ data.author }}</SlpTypography
          >
        </SlpColumn>
      </SlpRow>
    </a>
  </div>
</template>

<style scoped lang="scss">
.case-study-quote {
  display: flex;
  flex-wrap: wrap;

  @media (min-width: $breakpoint-md) {
    flex-wrap: nowrap;
  }

  &__title-img {
    width: 7rem;
    img {
      width: 100%;
    }
  }

  &__body {
    padding: $spacing-16 $spacing-16 $spacing-24 0;
  }

  &__author {
    padding-bottom: $spacing-16;
  }

  &__main-img {
    min-width: 250px;
    margin-right: $spacing-64;

    img {
      max-width: 100%;
      border-radius: 0px 0px 100px 0px;
      object-fit: cover;
    }
  }

  &.logo {
    align-items: center;

    img {
      border-radius: 0;
      object-fit: contain;
    }
  }
}

.case-study-quote__link {
  color: $color-text-300;
}
</style>
